%if 0%{?el7}
%define dist .el7
%endif

Name:           xvidcore
Version:        1.3.7
%define soname  4
Release:        1%{?dist}
License:        GPL-2.0+
Summary:        Xvid is a high quality MPEG-4 ASP video codec
Url:            https://labs.xvid.com/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        http://downloads.xvid.com/downloads/xvidcore-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  gcc-c++ gcc
BuildRequires:  make
BuildRequires:  nasm
BuildRequires:  pkgconfig
Requires:       lib%{name}%{soname} = %{version}
Provides:       xvid = %{version}
Obsoletes:      xvid < %{version}
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Xvid is a high quality MPEG-4 ASP video codec.
Xvid encoded MPEG-4 videos can be played back by other MPEG-4 implementations
decoders such as DivX, FFmpeg MPEG-4 or standalone DVD players capable of
MPEG-4 playback.

%package -n lib%{name}-devel
Summary:        Development files of XviD video codec
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} = %{version}
Provides:       xvid-devel = %{version}
Obsoletes:      xvid-devel < %{version}

%description -n lib%{name}-devel
Xvid is a high quality MPEG-4 ASP video codec.
Development files of XviD video codec.

%package -n lib%{name}%{soname}
Summary:        Shared library libxvidcore
Group:          Productivity/Multimedia/Video/Editors and Convertors

%description -n lib%{name}%{soname}
Xvid is a high quality MPEG-4 ASP video codec.
Shared library of XviD video codec.

%prep
%setup -q -n "%{name}"
sed -i '1i%%ifidn __OUTPUT_FORMAT__,elf\nSECTION .note.GNU-stack noalloc progbits noexec nowrite\n%%endif' src/*/*_asm/*.asm

%build
pushd build/generic
%configure
make %{?_smp_mflags}
popd #build/generic

%install
[ %{buildroot} != "/" ] && rm -rf %{buildroot}
mkdir %{buildroot}
install -d "%{buildroot}%{_libdir}"
install -d "%{buildroot}%{_includedir}"

pushd 'build/generic/=build'
install *.so* "%{buildroot}%{_libdir}/"
popd #'build/generic/=build'

pushd src
install xvid.h "%{buildroot}%{_includedir}/"
popd #src

pushd "%{buildroot}%{_libdir}"
ln -s libxvidcore.so.%{soname}.* libxvidcore.so.%{soname}
ln -s libxvidcore.so.%{soname} libxvidcore.so
popd #libdir

%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%post   -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%{!?_licensedir:%global license %%doc}
%license LICENSE

%files -n lib%{name}-devel
%defattr(644,root,root,755)
%doc CodingStyle doc examples
%{_includedir}/*.h
%{_libdir}/*.so

%files -n lib%{name}%{soname}
%defattr(644,root,root)
%{_libdir}/libxvidcore.so.%{soname}*

%changelog
* Thu Jun 04 2020 momo-i <webmaster@momo-i.org> - 1.3.7-1
- Update to 1.3.7

* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 1.3.5-1
- Update to 1.3.5

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.3.4-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.3.4-4
- Rebuilt for fc23

* Thu Jun 25 2015 momo-i <webmaster@momo-i.org> - 1.3.4-3
- Update to 1.3.4

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 1.3.3-3
- Rebuilt for fc22

* Wed Mar 13 2013 momo-i <webmaster@momo-i.org> 1.3.2-2
- Initial rpm release.
